package com.yihu.jw.restmodel.hospital.prescription;

import com.yihu.jw.restmodel.UuidIdentityVOWithOperator;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.util.Date;


/**
 * 
 * 处方配送详情表vo
 * 
 * @version 
 * <pre>
 * Author	Version		Date		Changes
 * Administrator 	1.0  2019年05月16日 Created
 *
 * </pre>
 * @since 1.
 */
@ApiModel(value = "WlyyPrescriptionExpressageLogVO", description = "处方配送详情表")
public class WlyyPrescriptionExpressageLogVO extends UuidIdentityVOWithOperator {

    /**
	 * 
	 */
	@ApiModelProperty(value = "", example = "模块1")
    private String saasId;

    /**
	 * 关联表wlyy_prescription id
	 */
	@ApiModelProperty(value = "关联表wlyy_prescription id", example = "模块1")
    private String prescriptionId;

    /**
	 * 关联wlyy_prescription_expressage id
	 */
	@ApiModelProperty(value = "关联wlyy_prescription_expressage id", example = "模块1")
    private String expressageId;

    /**
	 * 路由节点产生的时间，格式：YYYY-MM-DD HH24:MM:SS，示例：2012-7-30 09:30:00。
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	@ApiModelProperty(value = "路由节点产生的时间，格式：YYYY-MM-DD HH24:MM:SS，示例：2012-7-30 09:30:00。", example = "模块1")
    private Date acceptTime;

    /**
	 * 路由节点发生的城市
	 */
	@ApiModelProperty(value = "路由节点发生的城市", example = "模块1")
    private String acceptAddress;

    /**
	 * 路由节点操作码
	 */
	@ApiModelProperty(value = "路由节点操作码", example = "模块1")
    private String opCode;

    /**
	 * 路由节点具体描述
	 */
	@ApiModelProperty(value = "路由节点具体描述", example = "模块1")
    private String acceptRemark;

    /**
	 * 备注
	 */
	@ApiModelProperty(value = "备注", example = "模块1")
    private String remark;

    /**
	 * 创建时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	@ApiModelProperty(value = "创建时间", example = "模块1")
    private Date createTime;

    /**
	 * 接收机构
	 */
	@ApiModelProperty(value = "接收机构", example = "模块1")
    private String acceptHospital;

    /**
	 * 接收机构地址
	 */
	@ApiModelProperty(value = "接收机构地址", example = "模块1")
    private String acceptHospitalAddress;

    /**
	 * 接收机构名称
	 */
	@ApiModelProperty(value = "接收机构名称", example = "模块1")
    private String acceptHospitalName;

    /**
	 * 接收人
	 */
	@ApiModelProperty(value = "接收人", example = "模块1")
    private String acceptUser;

    /**
	 * 接收人名称
	 */
	@ApiModelProperty(value = "接收人名称", example = "模块1")
    private String acceptUserName;

    /**
	 * 接收人电话
	 */
	@ApiModelProperty(value = "接收人电话", example = "模块1")
    private String acceptUserMobile;

    /**
	 * 配送机构地址
	 */
	@ApiModelProperty(value = "配送机构地址", example = "模块1")
    private String expressageHospitalAddress;

    /**
	 * 配送机构code
	 */
	@ApiModelProperty(value = "配送机构code", example = "模块1")
    private String expressageHospitalCode;

    /**
	 * 如果配送方式是健管师那么这个字段存服务站名称，如果是快递配送那么是快递公司名称
	 */
	@ApiModelProperty(value = "如果配送方式是健管师那么这个字段存服务站名称，如果是快递配送那么是快递公司名称", example = "模块1")
    private String expressageHospitalName;

    /**
	 * 配送人名称
	 */
	@ApiModelProperty(value = "配送人名称", example = "模块1")
    private String expressageUserName;

    /**
	 * 配送人code
	 */
	@ApiModelProperty(value = "配送人code", example = "模块1")
    private String expressageUserCode;

    /**
	 * 开始配送时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	@ApiModelProperty(value = "开始配送时间", example = "模块1")
    private Date expressageTime;

    /**
	 * 配送人电话
	 */
	@ApiModelProperty(value = "配送人电话", example = "模块1")
    private String expressageUserMobile;


    public String getSaasId() {
        return saasId;
    }
    public void setSaasId(String saasId) {
        this.saasId = saasId;
    }

    public String getPrescriptionId() {
        return prescriptionId;
    }
    public void setPrescriptionId(String prescriptionId) {
        this.prescriptionId = prescriptionId;
    }

    public String getExpressageId() {
        return expressageId;
    }
    public void setExpressageId(String expressageId) {
        this.expressageId = expressageId;
    }

    public Date getAcceptTime() {
        return acceptTime;
    }
    public void setAcceptTime(Date acceptTime) {
        this.acceptTime = acceptTime;
    }

    public String getAcceptAddress() {
        return acceptAddress;
    }
    public void setAcceptAddress(String acceptAddress) {
        this.acceptAddress = acceptAddress;
    }

    public String getOpCode() {
        return opCode;
    }
    public void setOpCode(String opCode) {
        this.opCode = opCode;
    }

    public String getAcceptRemark() {
        return acceptRemark;
    }
    public void setAcceptRemark(String acceptRemark) {
        this.acceptRemark = acceptRemark;
    }

    public String getRemark() {
        return remark;
    }
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getCreateTime() {
        return createTime;
    }
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getAcceptHospital() {
        return acceptHospital;
    }
    public void setAcceptHospital(String acceptHospital) {
        this.acceptHospital = acceptHospital;
    }

    public String getAcceptHospitalAddress() {
        return acceptHospitalAddress;
    }
    public void setAcceptHospitalAddress(String acceptHospitalAddress) {
        this.acceptHospitalAddress = acceptHospitalAddress;
    }

    public String getAcceptHospitalName() {
        return acceptHospitalName;
    }
    public void setAcceptHospitalName(String acceptHospitalName) {
        this.acceptHospitalName = acceptHospitalName;
    }

    public String getAcceptUser() {
        return acceptUser;
    }
    public void setAcceptUser(String acceptUser) {
        this.acceptUser = acceptUser;
    }

    public String getAcceptUserName() {
        return acceptUserName;
    }
    public void setAcceptUserName(String acceptUserName) {
        this.acceptUserName = acceptUserName;
    }

    public String getAcceptUserMobile() {
        return acceptUserMobile;
    }
    public void setAcceptUserMobile(String acceptUserMobile) {
        this.acceptUserMobile = acceptUserMobile;
    }

    public String getExpressageHospitalAddress() {
        return expressageHospitalAddress;
    }
    public void setExpressageHospitalAddress(String expressageHospitalAddress) {
        this.expressageHospitalAddress = expressageHospitalAddress;
    }

    public String getExpressageHospitalCode() {
        return expressageHospitalCode;
    }
    public void setExpressageHospitalCode(String expressageHospitalCode) {
        this.expressageHospitalCode = expressageHospitalCode;
    }

    public String getExpressageHospitalName() {
        return expressageHospitalName;
    }
    public void setExpressageHospitalName(String expressageHospitalName) {
        this.expressageHospitalName = expressageHospitalName;
    }

    public String getExpressageUserName() {
        return expressageUserName;
    }
    public void setExpressageUserName(String expressageUserName) {
        this.expressageUserName = expressageUserName;
    }

    public String getExpressageUserCode() {
        return expressageUserCode;
    }
    public void setExpressageUserCode(String expressageUserCode) {
        this.expressageUserCode = expressageUserCode;
    }

    public Date getExpressageTime() {
        return expressageTime;
    }
    public void setExpressageTime(Date expressageTime) {
        this.expressageTime = expressageTime;
    }

    public String getExpressageUserMobile() {
        return expressageUserMobile;
    }
    public void setExpressageUserMobile(String expressageUserMobile) {
        this.expressageUserMobile = expressageUserMobile;
    }


}